#ifndef FGGL_GFX_COMMON_H
#define FGGL_GFX_COMMON_H

// load the correct rendering backend (only opengl for now)
#include <fggl/gfx/ogl/common.hpp>

// now it's safe to load the windowing system
#include <GLFW/glfw3.h>

#include <fggl/data/model.hpp>
#include <string>

namespace fggl::gfx {

	struct StaticMesh {
		data::Mesh mesh;
		std::string pipeline;

		inline StaticMesh(const data::Mesh& aMesh, const std::string& aPipeline) :
			mesh(aMesh), pipeline(aPipeline) {}
	};

}

#endif
